Summary: An X Window System based image viewer.
Name: xloadimage
Version: 4.1
Release: 36.RHEL4
License: MIT
Group: Amusements/Graphics
Source: ftp.x.org:/R5contrib/xloadimage.4.1.tar.gz
Patch0: xloadimage.4.1-linux.patch
Patch1: xloadimage.4.1-nobr.patch
Patch2: xloadimage-unaligned.patch
Patch3: xloadimage-4.1-buffer.patch
Patch4: xloadimage-4.1-errno.patch
Patch5: xloadimage-4.1-arg.patch
Patch6: xloadimage-4.1-delay.patch
Patch7: xloadimage-format.patch
Patch8: 01_libjpeg-support.dpatch
Patch9: xloadimage-4.1-popen.patch
Patch10: xloadimage-4.1-leak.patch
Patch11: xloadimage-4.1-title.patch
BuildRoot: /var/tmp/xloadimage-root
BuildPrereq: libtiff-devel XFree86-devel

%description
The xloadimage utility displays images in an X Window System window,
loads images into the root window, or writes images into a file.
Xloadimage supports many image types (including GIF, TIFF, JPEG, XPM,
and XBM).

%prep
%setup -q -n xloadimage.4.1
%patch0 -p1
%patch1 -p1 -b .nobr
%patch2 -p1 -b .unaligned
%patch3 -p1 -b .buffer
%patch4 -p1 -b .errno
%patch5 -p1 -b .arg
%patch6 -p1 -b .delay
%patch7 -p0 -b .format
%patch8 -p1 -b .jpeg
%patch9 -p1 -b .popen
%patch10 -p1 -b .leak
%patch11 -p1 -b .title

%build
xmkmf
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make	DESTDIR=$RPM_BUILD_ROOT \
	SYSPATHFILE=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xloadimage \
	install install.man

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/uufilter
rm -f $RPM_BUILD_ROOT/usr/X11R6/man/man1/uufilter.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/lib/X11/app-defaults/Xloadimage
/usr/X11R6/bin/xloadimage
/usr/X11R6/bin/xview
/usr/X11R6/bin/xsetbg
/usr/X11R6/man/man1/xloadimage.*

%changelog
* Mon Oct 10 2005 Martin Stransky <stransky@redhat.com> 4.1-36
- fix for CAN-2005-3178 xloadimage NIFF buffer overflow (#170150)

* Mon Apr 11 2005 Martin Stransky <stransky@redhat.com> 4.1-35
- fix memory leak

* Fri Mar 18 2005 Bill Nottingham <notting@redhat.com>
- use system libjpeg
- fix quoting in filenames (CAN-2005-0638)

* Fri Jan 21 2005 Bill Nottingham <notting@redhat.com> 4.1-33
- fix bad use of format strings (#70867, #78481 <d.binderman@virgin.net>)

* Wed Oct 13 2004 Bill Nottingham <notting@redhat.com> 4.1-32
- add patch for slideshow (#114689)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Bill Nottingham <notting@redhat.com> 4.1-28
- fix build with gcc-3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Matt Wilson <msw@redhat.com> 4.1-26
- use #include <errno.h>, not extern int errno;

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 4.1-25
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Aug 16 2001 Bill Nottingham <notting@redhat.com>
- rebuild errata version that got misplaced

* Thu Jun 28 2001 Bill Nottingham <notting@redhat.com>
- fix buffer overflow in the faces reader (#46186)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- add unaligned access & bugfix patch from
  Michal Jaegermann <michal@harddata.com>

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
